POST Agents/CRMScript/GetCRMScriptEntity
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/CRMScript/GetCRMScriptEntity
Gets a CRMScriptEntity object.
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The CRMScript agent is not available in Online by default. Access must be requested specifically when app is registered.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| cRMScriptEntityId | int32 | Required The identifier of the CRMScriptEntity object |
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/CRMScript/GetCRMScriptEntity?cRMScriptEntityId=27
POST /api/v1/Agents/CRMScript/GetCRMScriptEntity?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: CRMScriptEntity
| Property Name | Type | Description |
|---|---|---|
| EjscriptId | int32 | Primary key |
| UniqueIdentifier | string | Global unique identifier, accross customers/tenants |
| Name | string | A description of this script |
| Description | string | Optional description of what this script is used for. |
| IncludeId | string | A unique name used for including this script in another |
| AccessKey | string | Access key used to run this script on the customer pages |
| HierarchyId | int32 | The script is inside this hierarchy folder |
| Source | string | The script |
| SourceCode | string | Contains the source code of the script |
| ScriptType | string | The type/language of this script |
| HtmlOutput | int32 | True if this script will return HTML output |
| Includes | array | The unique ids of all depencies of this script (all resolved includes) |
| SourceMaps | array | The source maps for this script |
| ValidationResult | CRMScriptResult | The result of a validation of a TypeScript when saving |
| Registered | date-time | Registered when in UTC. |
| RegisteredAssociateId | int32 | Registered by whom |
| Updated | date-time | Last updated when in UTC. |
| UpdatedAssociateId | int32 | Last updated by whom |
| BlockedVerbs | string | The verbs that are blocked when calling a ejscript over HTTP |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/CRMScript/GetCRMScriptEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"EjscriptId": 327,
"UniqueIdentifier": "email-notification-handler",
"Name": "Email Notification Handler",
"Description": "Sends automated email notifications when new tickets are created",
"IncludeId": "email-handler",
"AccessKey": "api-key-12345",
"HierarchyId": 293,
"Source": "#setLanguageLevel 3;\nString recipientEmail = getVariable(\"recipientEmail\");\nEmail().send(recipientEmail, \"New Ticket\", \"A new ticket has been created\");",
"SourceCode": "#setLanguageLevel 3;\nString recipientEmail = getVariable(\"recipientEmail\");\nEmail().send(recipientEmail, \"New Ticket\", \"A new ticket has been created\");",
"ScriptType": "CRMScript",
"HtmlOutput": 0,
"Includes": [
55,
554
],
"SourceMaps": [
{
"LineNumberFrom": 1,
"LineNumberTo": 3,
"Delta": 0,
"IncludeId": "email-utils",
"IncludedFrom": [
"email-handler",
"notification-system"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 727
}
}
}
],
"ValidationResult": null,
"Registered": "1998-08-30T10:10:59.5507377+02:00",
"RegisteredAssociateId": 987,
"Updated": "2003-02-11T10:10:59.5507377+01:00",
"UpdatedAssociateId": 140,
"BlockedVerbs": "BlockAll",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 904
}
}
}